com.h3c.of.lib

## Enum ExperimenterId

- java.lang.Object
- - java.lang.Enum<ExperimenterId>
  - - com.h3c.of.lib.ExperimenterId

- All Implemented Interfaces:
    Serializable, Comparable<ExperimenterId>

      public enum ExperimenterId
      extends Enum<ExperimenterId>

  Denotes the documented experimenter IDs of the ONF members.

  See the ONF Registry.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIG_SWITCH` Big Switch Networks.
    `BUDAPEST_U` Budapest University of Technology and Economics.
    `H3C` H3C.
    `HP_LABS` H3C Labs.
    `NICIRA` Nicira Networks.
    `VELLO` Vello Systems.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExperimenterId` | `decode(int code)` Returns the experimenter ID for the given coded value; or null if not defined.
    `int` | `encodedId()` Returns the ID encoded as an int.
    `static String` | `idToString(int code)` Returns an experimenter id as a hex-encoded string.
    `static ExperimenterId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExperimenterId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NICIRA

          public static final ExperimenterId NICIRA

      Nicira Networks.

    - #### BIG_SWITCH

          public static final ExperimenterId BIG_SWITCH

      Big Switch Networks.

    - #### VELLO

          public static final ExperimenterId VELLO

      Vello Systems.

    - #### H3C

          public static final ExperimenterId H3C

      H3C.

    - #### HP_LABS

          public static final ExperimenterId HP_LABS

      H3C Labs.

    - #### BUDAPEST_U

          public static final ExperimenterId BUDAPEST_U

      Budapest University of Technology and Economics.

  - ### Method Detail

    - #### values

          public static ExperimenterId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExperimenterId c : ExperimenterId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExperimenterId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### encodedId

          public int encodedId()

      Returns the ID encoded as an int.
      Returns:
        the encoded ID

    - #### decode

          public static ExperimenterId decode(int code)

      Returns the experimenter ID for the given coded value; or null if not defined.
      Parameters:
        `code` - the encoded ID
      Returns:
        the corresponding experimenter ID (or null)

    - #### idToString

          public static String idToString(int code)

      Returns an experimenter id as a hex-encoded string. If it is a known id, the experimenter name is included in the string.
      Parameters:
        `code` - the encoded ID
      Returns:
        the ID in string format

Copyright © 2014. All Rights Reserved.